
Infrastructure - Feature #1764

Finalize dataoneTypes schema for public release

2011-09-02 18:22 - Matthew Jones

Status: Closed Start date: 2011-08-10

Priority: High Due date:  

Assignee: Matthew Jones % Done: 100%

Category: d1_schemas Estimated time: 0.00 hour

Target version: Sprint-2011.51-Block.6   

Milestone: CCI-1.0.0 Story Points:  

Product Version: *   

Description

The dataoneTypes.xsd schema needs to be finalized for release, inlcuding cleaning up all documentation, inspecting for incorrect

types and elements, and removing any unused items.  Once the schema is approved for release, finalize it by releasing it as the

1.0.0 version of the v1 schema namespace.

Subtasks:

Task # 2150: Clarify access control permissions are hierarchical Closed

Task # 2079: Move sysmeta docs from architecture into schema, and correct them Closed

Task # 2075: Add ObjectLocation.version field Closed

Task # 1877: Create branch for 1.0.0 schemas Closed

Task # 1765: Review and revise schema type documentation Closed

Task # 2061: need ReplicationPolicy to be a top-level structure for java serialization Closed

Task # 2059: need Replica to be top-level object so it can be serialized Closed

Task # 1766: Review schema for unused types and remove those that are not needed. Closed

Task # 1878: Change Person.email to be optional to deal with reporting data at times wi... Closed

Task # 1876: Add contactSubject to Node Closed

Task # 1875: Add serial version number to system metadata Closed

Task # 1767: Finalize dataoneTypes.xsd v1 release as 1.0.0 release, and tag. Closed

Task # 1694: fmtid -> formatId Closed

Task # 1915: Add isVerified flag to Person object Closed

Task # 1916: change serialVersion to unsigned long Closed

Task # 1919: Make contactSubject required Closed

Task # 2037: Add nodeApproved property to Node structure Rejected

Task # 2038: Add support for ServiceMethodRestriction to the Node.Service structure Closed

Task # 2078: Add archived field to SystemMetadata Closed

Task # 2092: remove execute permission from Permission type Closed

Task # 2094: need ChecksumAlgorithmList datatype for getChecksumAlgorithms() method Closed

Task # 2096: Identifier should not be able to have any whitespace Closed

Task # 2097: Types.DateTime: ISO8601 Closed

Task # 2098: Types.DateTime: Correction related to Python implementation Closed

Task # 2099: Types and their various representations Closed

Task # 2100: Types.DateTime: Fix sentence Closed

Task # 2101: Types.DescribeResponse: Adding serialVersion Rejected

Task # 2102: Types.ChecksumAlgorithm: Are similar representations ok? Closed

Task # 2103: Separating "low" and "high" level types? Closed

Task # 2104: Types.Permission: replicate permission Closed

Task # 2105: Types.ReplicationStatus() - Representing error message Closed

Task # 2106: Types.AccessRule: Uploader accidentally getting locked out Closed

Task # 2107: Types.Checksum: Representation of the checksum string Closed

Task # 2108: Types.Identifier: Factoring out format restriction Closed

Task # 2109: Types.MonitorInfo: No longer in use. Closed

2024-04-19 1/3



Task # 2110: Types.MonitorList: Can be removed. Closed

Task # 2111: Types.Node: Fields without descriptions Closed

Task # 2112: Types.NodeList: Slicing Closed

Task # 2113: Types.Person: Clarify descriptions of fields that are lists, not single en... Closed

Task # 2114: Types.Ping: lastFailure? Rejected

Task # 2115: Removing remaining enums? Rejected

Task # 2116: rightsHolder / owner Rejected

Task # 2117: Types.SystemMetadata: Replication should occur from the AuthoritativeMembe... Closed

Task # 2120: Types.SystemMetadata: Removing for fields that should be set by MN Closed

Task # 2140: Add a NodeReplicationPolicy type Closed

Task # 2148: Types.DateTime: Specify formats Rejected

Related issues:

Blocked by Infrastructure - Story #1818: need node contact info in Node Regis... Rejected

History

#1 - 2011-09-02 18:23 - Matthew Jones

- Position set to 85

- Target version set to Sprint-2011.35-Block.5

- Position deleted (1)

#2 - 2011-09-02 18:25 - Matthew Jones

- Assignee set to Matthew Jones

- Category set to d1_schemas

#3 - 2011-09-06 17:56 - Dave Vieglais

- Target version changed from Sprint-2011.35-Block.5 to Sprint-2011.36-Block.5

- Position deleted (89)

- Position set to 2

#4 - 2011-09-14 11:19 - Dave Vieglais

- Position deleted (1)

- Target version changed from Sprint-2011.36-Block.5 to Sprint-2011.37-Block.5

- Position set to 24

#5 - 2011-10-07 18:22 - Dave Vieglais

- Target version changed from Sprint-2011.37-Block.5 to Sprint-2011.43-Block.6

- Position set to 1

- Position deleted (25)

#6 - 2011-10-21 14:31 - Matthew Jones

- Position deleted (15)

- Position set to 1

#7 - 2011-10-31 17:16 - Dave Vieglais

- Position set to 7

- Position deleted (19)

- Target version changed from Sprint-2011.43-Block.6 to Sprint-2011.44-Block.6

#8 - 2011-11-05 17:22 - Matthew Jones

- Position set to 306
- Position deleted (14)

- Target version changed from Sprint-2011.44-Block.6 to Sprint-2011.45-Block.6

#9 - 2011-11-15 03:57 - Dave Vieglais

- Position set to 1

- Target version changed from Sprint-2011.45-Block.6 to Sprint-2011.46-Block.6

- Position deleted (307)

#10 - 2011-11-28 17:57 - Dave Vieglais

- Position set to 2

- Position deleted (12)

- Target version changed from Sprint-2011.46-Block.6 to Sprint-2011.48-Block.6

#11 - 2011-12-05 18:59 - Matthew Jones

- Status changed from In Progress to Closed

- Milestone changed from CCI-0.6.4 to CCI-1.0.0

All proposed schema changes completed.  New requests and bugs will be entered under separate, individual tickets.

#12 - 2011-12-06 05:22 - Rob Nahf

- Status changed from Closed to In Progress

#13 - 2011-12-06 14:38 - Dave Vieglais

- Position set to 2

- Position deleted (26)

- Target version changed from Sprint-2011.48-Block.6 to Sprint-2011.49-Block.6

#14 - 2011-12-19 18:07 - Dave Vieglais

- Position set to 3

- Position deleted (8)

- Target version changed from Sprint-2011.49-Block.6 to Sprint-2011.51-Block.6

#15 - 2011-12-22 07:07 - Matthew Jones

- Status changed from In Progress to Closed

Documentation and other changes to dataoneTypes schema as detailed in contained tasks completed.  Schema now at release candidate 1 stage,

and will be tagged as such.  Closing this story.  Further changes to the schema should be opened as individual stories so that they can be prioritized

independently.
